Subject: Re: full kernel history, in patchset format

From: Mike Taht <[email-masked]>
Date: Sat, 16 Apr 2005 11:35:44 -0700

>  * A script git-archive-tar is used to create a "base tarball"
>    that roughly corresponds to "linux-*.tar.gz".  This works as
>    follows:
> 
>     $ git-archive-tar C [B1 B2...]
> 
>    This reads the named commit C, grabs the associated tree
>    (i.e.  its sub-tree objects and the blob they refer to), and
>    makes a tarball of ??/??????????????????????????????????????
>    files.  The tarball does not have to contain any extra
>    information to reproduce any ancestor of the named commit.

alternatively, "git-archive-torrent" to create a list of files for a 
bittorrent feed....

-- 

Mike Taht